{% extends 'base.html.twig' %}



{% block body %}
    {% import 'default/_object_actions_macro.html.twig' as _object_actions_macro %}
    <div class="container-fluid my-4">
        <div class="row">
            <div class="col">
                <i class="bi bi-trash"></i> {% trans %}Trash{% endtrans %}
            </div>
            {% if is_granted('edit', folderTrash) %}
                <div class="col-auto">
                    <a href="{{ path('folders',{folderId: folderRoot.id}) }}"
                       class="btn btn-outline-info">{% trans %}Workspace{% endtrans %}</a>
                </div>
            {% endif %}
            <div class="col-auto">
                {% include 'default/_search_area.html.twig' %}
            </div>
            <div class="col-auto">
                {% include 'default/_login_button.html.twig' %}
            </div>
        </div>
        <ul class="list-group my-4">
            {% for child in currentFolder.children %}
                {% if is_granted('view', child) %}
                    <li class="list-group-item">
                        <i class="bi bi-folder"></i>
                        {{ child.title }}
                        {{ _object_actions_macro.tags(child.tags) }}
                        {% if is_granted('edit', child) %}
                            <a href="{{ path('app_folder_move',{folderId: child.id}) }}" class="btn btn-outline-info">
                                <i class="bi bi-recycle"></i> {% trans %}Restore into{% endtrans %}</a>
                        {% endif %}
                        {% if frontend_show_description and child.description|length>0 %}
                            <br>
                            {{ child.description }}
                        {% endif %}
                    </li>
                {% endif %}
            {% endfor %}
            {% for document in currentFolder.documents %}
                <li class="list-group-item">
                    {% if document.mediafile %}
                        <i class="bi bi-filetype-{{ document.mediafile.extension }}"></i>
                    {% endif %}
                    {{ document.title }}
                    {{ _object_actions_macro.tags(document.tags) }}
                    {% if is_granted('edit', document) %}
                        <a href="{{ path('app_document_move',{documentId: document.id}) }}"
                           class="btn btn-outline-info">
                            <i class="bi bi-recycle"></i> {% trans %}Restore into{% endtrans %}</a>

                    {% endif %}
                    {% if frontend_show_description and document.description|length>0 %}
                        <br>
                        {{ document.description }}
                    {% endif %}
                </li>
            {% endfor %}
            {% for link in currentFolder.links %}
                <li class="list-group-item">
                    <i class="bi bi-link"></i> {{ link.title }}
                    {{ _object_actions_macro.tags(link.tags) }}
                    {% if is_granted('edit', link) %}
                        <a href="{{ path('app_link_move',{linkId: link.id}) }}" class="btn btn-outline-info">
                            <i class="bi bi-recycle"></i> {% trans %}Restore into{% endtrans %}</a>
                    {% endif %}

                    {% if frontend_show_description and link.description|length>0 %}
                        <br>
                        {{ link.description }}
                    {% endif %}
                </li>
            {% endfor %}
        </ul>
    </div>






{% endblock %}



{% block javascripts %}
    {{ parent() }}
    <script>


        $(document).on('click', '.btnPermissions', function (e) {
            objectType = e.target.getAttribute('data-type');
            objectId = e.target.getAttribute('data-id');
            url = "{{ path('object_security_edit',{'type':'__type__','id':'__id__'}) }}".replace('__id__', objectId).replace('__type__', objectType);
            $.ajax({
                url: url,
                async: false,
                success: function (html) {
                    console.log(objectType + objectId);
                    $('#permissionsModalContent' + objectType + objectId).html(html);
                    {% include('security/_subforms.js.twig') %}
                }
            })
        });
    </script>
{% endblock %}